#!/bin/csh
#
# MOBA configuration script for C shell
#
# $Id$
#


# You must configure this line only.
# Set MOBA_ROOT the directory where you extract the archive.
setenv MOBA_ROOT	${HOME}/classes



setenv MOBA_HOME	${MOBA_ROOT}/NET/shudo/moba
#setenv MOBA_HOME	`echo $0 | sed 's+\(.*/moba\).*+\1+'`


# set the CLASSPATH variable
if ($?CLASSPATH) then
	setenv CLASSPATH ${CLASSPATH}:$MOBA_HOME/lib/moba.jar:`echo $MOBA_HOME | sed 's+/moba++'`
else
	setenv CLASSPATH $MOBA_HOME/lib/moba.jar:`echo $MOBA_HOME | sed 's+/moba++'`
endif

# set the LD_LIBRARY_PATH variable
if ($?LD_LIBRARY_PATH) then
	setenv LD_LIBRARY_PATH ${LD_LIBRARY_PATH}:${MOBA_HOME}/native:${MOBA_HOME}/lib/`${MOBA_HOME}/bin/pvmgetarch`
else
	setenv LD_LIBRARY_PATH :${MOBA_HOME}/native:${MOBA_HOME}/lib/`${MOBA_HOME}/bin/pvmgetarch`
endif

# set the PATH variable
if ($?PATH) then
	setenv PATH ${PATH}:${MOBA_HOME}/bin
else
	setenv PATH ${MOBA_HOME}/bin
endif
