#!/bin/sh
#
# MOBA configuration script for Bourne shell
#
# $Id$
#


# You must configure this MOBA_ROOT only.
# Set MOBA_ROOT the directory where you extract the archive.
MOBA_ROOT=$HOME/classes



export MOBA_HOME=$MOBA_ROOT/NET/shudo/moba
#MOBA_HOME=`echo $0 | sed 's+\(.*/moba\).*+\1+'`


# set the CLASSPATH variable
if [ "$CLASSPATH" != "" ]; then
	CLASSPATH=$CLASSPATH:$MOBA_HOME/lib/moba.jar:`echo $MOBA_HOME | sed 's+/moba++'`
else
	CLASSPATH=$MOBA_HOME/lib/moba.jar:`echo $MOBA_HOME | sed 's+/moba++'`
fi

# set the LD_LIBRARY_PATH variable
if [ "$LD_LIBRARY_PATH" != "" ]; then
	LD_LIBRARY_PATH=$LD_LIBRARY_PATH:$MOBA_HOME/native:$MOBA_HOME/lib/`$MOBA_HOME/bin/pvmgetarch`
else
	LD_LIBRARY_PATH=:$MOBA_HOME/native$MOBA_HOME/lib/`$MOBA_HOME/bin/pvmgetarch`
fi

# set the PATH variable
if [ "$PATH" != "" ]; then
	PATH=$PATH:$MOBA_HOME/bin
else
	PATH=$MOBA_HOME/bin
fi

export CLASSPATH LD_LIBRARY_PATH PATH
