#include <stdio.h>

#include "buf.h"

void show() {
  int size = write_length();
  char *p = write_content();
  int i;

  printf("size: %d\n", size);

  for (i = 0; i < size; i++) {
    printf("(%x)", (int)*p);
    p++;
  }
  printf("\n");
}


int main(int argc, char **argv) {
  int i, j;
  float f;
  char *str = "this is test.";
  char *p;


  write_init();
  for (i = 0; i < 10; i++) {
    write_hton32((void *)&i);
  }
  show();

  read_init(write_content());
  for (i = 0; i < 10; i++) {
    read_ntoh32((char *)&j);
    printf("(%d)", j);
  }
  printf("\n");


  f = 1.0;
  write_init();
  for (i = 0; i < 10; i++) {
    write_hton32((void *)&f);
    f += 0.1;
  }
  show();

  read_init(write_content());
  for (i = 0; i < 10; i++) {
    read_ntoh32((char *)&f);
    printf("(%g)", f);
  }
  printf("\n");


  return 0;
}
